Subject: ssh from winxp -> RH-Linux w. Publickey
From: Daniel Holtkamp <[email-masked]>
To: [email-masked]
Date: Tue, 2 Apr 2002 11:24:58 +0200

Hello cygwin,

  Ok, i just browsed 10 pages of the mailing-list archives for the
  problem but that did not change anything. :-(

  I´ve got a new Cygwin install on my WinXP machine and a updated
  openssh on the RedHat Linux Machine. I got ntsec usage running fine
  with correct accounts (domain user n stuff).

  Doing a "ssh unixserver" works fine, asks me for a password and i´m
  in, but i want public key authentication (for batch-file usage).

  I ran ssh-user-config and ssh-host-config.

  on WinXP:
  ls -al ~/.ssh/
  total 3
  drwx------    2 holtkamp RSIDUS-a        0 Apr  2 10:53 .
  drwx------    3 holtkamp RSIDUS-a        0 Mar 28 16:04 ..
  -rw-------    1 SYSTEM   SYSTEM        883 Mar 28 15:27 id_rsa
  -rw-r--r--    1 SYSTEM   SYSTEM        224 Mar 28 15:27 id_rsa.pub
  -rw-r--r--    1 holtkamp RSIDUS-a      246 Apr  2 10:53 known_hosts

  on RH-Linux:
  ls -al ~/.ssh/
  drwx------    2 holtkamp holtkamp     1024 Apr  2 10:52 .
  drwx------   14 holtkamp holtkamp     1024 Mar 28 11:00 ..
  -rw-r-----    1 holtkamp holtkamp      224 Mar 28 15:27 .authorized_keys
  -rw-------    1 holtkamp holtkamp      887 Mar 28 11:10 id_rsa
  -rw-r--r--    1 holtkamp holtkamp      240 Mar 28 11:10 id_rsa.pub
  -rw-r--r--    1 holtkamp holtkamp     3035 Mar 28 11:11 known_hosts

  The id_rsa.pub on the Cygwin-Machine matches the .authorized_keys on
  the Linux Machine.

  SSH with -vvv gives me the following (only listing interestening
  part)

  debug3: check_host_in_hostfile: match line 1
  debug3: check_host_in_hostfile: filename /home/holtkamp/.ssh/known_hosts
  debug3: check_host_in_hostfile: match line 1
  debug1: Host 'midas.rsidus.riege.de' is known and matches the RSA host key.
  debug1: Found key in /home/holtkamp/.ssh/known_hosts:1
  debug1: bits set: 1594/3191
  debug1: ssh_rsa_verify: signature correct
  debug1: kex_derive_keys
  debug1: newkeys: mode 1
  debug1: SSH2_MSG_NEWKEYS sent
  debug1: waiting for SSH2_MSG_NEWKEYS
  debug1: newkeys: mode 0
  debug1: SSH2_MSG_NEWKEYS received
  debug1: done: ssh_kex2.
  debug1: send SSH2_MSG_SERVICE_REQUEST
  debug1: service_accept: ssh-userauth
  debug1: got SSH2_MSG_SERVICE_ACCEPT
  debug1: authentications that can continue: publickey,password,keyboard-interactive
  debug3: start over, passed a different list publickey,password,keyboard-interactive
  debug3: preferred publickey,keyboard-interactive,password
  debug3: authmethod_lookup publickey
  debug3: remaining preferred: keyboard-interactive,password
  debug3: authmethod_is_enabled publickey
  debug1: next auth method to try is publickey
  debug1: try pubkey: /home/holtkamp/.ssh/id_rsa
  debug3: send_pubkey_test
  debug2: we sent a publickey packet, wait for reply
  debug1: authentications that can continue: publickey,password,keyboard-interactive
  debug2: we did not send a packet, disable method
  debug3: authmethod_lookup keyboard-interactive
  debug3: remaining preferred: password

  So what now ? I don´t know what i made wrong, permissions are right
  n stuff, connection with password works fine and the debug shows no
  problem with the key ... i would say it´s a connection problem
  because it says "did on send a packet" but i´m unsure ...

  Any suggestions ?
  
--
Daniel Holtkamp                         Riege Software International GmbH
System Administration                                        Mollsfeld 10
                                                 40670 Meerbusch, Germany
Email: [email-masked]                         Phone: +49-2159-9148-41
                                                  Fax:   +49-2159-9148-11
-------------------------------------------------------------------------

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/